Talk:Commercial Hosting

From Mumble Wiki
Revision as of 01:53, 18 December 2010 by Kissaki0 (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

Compiling for Servers – Qt Requirement

This is an amazing application. However, for hosting purposes it is currently not. Most of my servers dont have Qt installed, which means the source cannot be built. It would be way-way-way better when the server daemon doesnt depend on Qt. Production servers dont have Qt installed, and if they have, it's Qt3. Please do something! --Flapdrol 12.2006

Hello!
I have to agree to the last post! None of our servers or any server I know has qt installed. I tried to build a statically linked version of murmur on my desktop but was unable to run it (not on the server and desktop). I don't think that qt-libs are a good option for server processes.
We are looking for a Teamspeak alternative quite a while now and murmur/mumble looks promising. But with qt as a dependency I don't give it a big chance to convince any hosters. If you think that statically linked versions should work, you could provide some pre-compiled 32bit and 64bit versions for testing. --Tim 03.2007
I'm not entirely sure how Talk pages on Wikis are supposed to be formatted, but I moved some stuff around a bit to make it a little easier to understand. You might consider using the Mumble forums on SF (the project forums or the PHPBB3, though I can't seem to log in to the PHPBB3) to get messages like these across instead. :(
Though I operate a commercial host, I think more hosting for Mumble by hosters who genuinely care and want to see the software grow can seriously do nothing but good. Now to the point at hand: there are already static binaries for Linux. If you're looking for Windows, the standard Mumble installer should come with everything you need pre-installed - just pick to install Murmur and not the client if you're running on a server and you should be good to go.
I run FreeBSD, for which there's no current static binary (I'll get around to building one, one day) and it should be noted that though the linux static binary can run under FreeBSD, Ice won't work. Linuxolator is missing some crucial threading stuff that the Ice endpoint uses... so FreeBSD has to have QT installed.
While it might seem like a giant PITA to install QT, it's not really that bad. It's just a long learning period until you get the hang of it - I could now provision a new Mumble hosting box rather quickly because I've been through all the pitfalls before. Overall it's worth it in the long run, because for the most part much of the logic involved in Mumble/Murmur is in widely-used, widely-reviewed libraries and toolkits. Mumble's been pretty lucky with security-related bugs so far, and the few that have come up have all been because of underlying bugs in things like QT, protobuffers, sqlite, etc. The amount of code they've saved is 100% worth it, and though I hated my first time trying to set up a Murmur, I think Murmur's better because of it.--Fwaggle 06:41, 27 July 2010 (UTC)
Feel free to use the static binaries. I prefer them over compiling, which is some work. The static binaries can just be extracted and are ready to run.
Also, for such issues, please use the forum, as the wiki discussion pages don’t get as much attention. --Kissaki 01:47, 18 December 2010 (UTC)

Debian-Packages

I just wanted to test the Mumble-Server on our production server. But the mumble-server.deb depends on libc6 2.4-1, which isn't included in Debian stable (etch). Any chance to get a .deb thats compiled for libc6 2.3.6.ds1-13? --Vdis 04.2007

okay ... made it on my own ;) ... this binary should install on Debian etch. --Vdis 04.2007

I've just upgraded to 1.0.0 ... and created a Testserver:

Host: vdis.mumblehosting.de
Port: 64738

--Vdis 07.2007

I agree! Debian package needed. :)
Hi there,
I would really love to see a Debian Etch package of mumble-server, too.
Unfortunately I am not capable of packaging it for myself (and others to share) and the above link is dead, already.
If somebody would do this I would greatly appreciate if he would share the package.
You may contact me via eMail: mumble AT the-space-station DOT com
(By the way: Is it necessary to install all those x-server-related files if I just want to run a _server_?)
Any comments (and packages) would be greatly appreciated.
Thanks so far for this shiny piece of software.
regards,
dennda 08.2007

Request: Page to list commercial hosts

Hello,

Would you be able to insert some appropriate links to an editable page that was a list of mumble hosts? Preferably in the wikipedia style of table that has hard facts presentation of features offered.

I.e.

Name,Mumble Versions,Bit Rates Permitted,Pricing per slot <= 10 slots,Pricing per slot <= 100 slots

site1,2.2.1,<= 72000,$1.00, $0.80

site2,2.2.1,<= 72000,$1.20, $0.70


etc... so that users who want to find people offering mumble servers have an easily viewable index.

--Asdlkf 04.2010

Check out the Hosters page. It doesn't list slot prices or anything, but there's URLs to a few commercial hosts who've bothered to add themselves to the list. As far as bitrates go, I think any host would be crazy to limit bandwidth on Mumble just to save some money. I also linked to that page a while back on the Commercial Hosting page, in the last paragraph or so of the little intro thing. --Fwaggle 06:26, 27 July 2010 (UTC)